{% extends 'base.html' %}

{% block title %}My Task List {% endblock %}

{% block content %}
<div class="my-tasks-list">
    <h1>My Tasks</h1>
    {% if tasks|length != 0 %}
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Start date</th>
                <th>End date</th>
                <th>Is completed</th>
            </tr>
        </thead>
        <tbody>
            {% for task in tasks %}
            <tr>
                <td>{{ task.name }}</td>
                <td>{{ task.start_date }}</td>
                <td>{{ task.end_date }}</td>
                <td>
                    {% if task.is_completed == True %}
                    <p>Done</p>
                    {% else %}
                    <form method="post" action="{% url 'complete_task' task.id %}">
                        {% csrf_token %}
                        <input type="hidden" name="is_completed" value="True">
                        <button>Complete</button>
                    </form>
                    {% endif %}
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    {% else %}
    <p>You have no tasks</p>
    {% endif %}
</div>
{% endblock content %}